import Component from '../../api/component/Component';
import { CompHandleMiddlewareConfig } from '../config/definitions/parts/compHandleMiddlewareConfig';
import Packet from '../../api/Packet';
import Socket from '../../api/Socket';
export declare type CompHandleMiddlewareInvoker = (component: Component, socket: Socket, packet: Packet) => Promise<void>;
export default class CompHandleMiddlewareUtils {
    /**
     * Returns a Closures for invoking the component handle middleware.
     * @param config
     */
    static createInvoker(config: CompHandleMiddlewareConfig): CompHandleMiddlewareInvoker;
}
