import Configurations, { InternalConfigurations } from '../definitions/main/configurations';
import { ServerState } from '../../../api/ServerState';
export default class ConfigPreprocessor {
    private serverState;
    private static get defaultServerConfig();
    private static get defaultAppConfig();
    private static get defaultServiceConfig();
    constructor(serverState: ServerState);
    private resolveConfigurationDefinition;
    preprocess(configurations: Configurations): Promise<InternalConfigurations>;
}
