import BackErrorConstruct from "../definitions/backErrorConstruct";
import BackError from "./../../api/BackError";
declare const codeErrorSymbol: unique symbol;
export default class CodeError extends BackError {
    private static codeErrorEvent;
    static setCodeErrorEvent(event: (err: CodeError) => void): void;
    [codeErrorSymbol]: boolean;
    constructor(errorConstruct?: BackErrorConstruct, info?: object);
}
export declare function isCodeError(value: any): value is CodeError;
export {};
