import { ProcessChainConfig } from '../config/definitions/parts/processChainConfig';
import AsyncChain from '../utils/asyncChain';
import Socket from '../../api/Socket';
export interface PreparedProcessChain {
    getAsyncChain?: (socket: Socket) => AsyncChain;
    chainBackpressureLimit?: number;
}
export default function prepareProcessChainConfig(config: ProcessChainConfig): PreparedProcessChain;
