import ReceiverPrepare from '../receiverPrepare';
import { ReceiverPackage } from '../receiverDefinitions';
import Socket from '../../../api/Socket';
import ConfigProvider from '../../config/management/configProvider';
export default class ReceiverHandler {
    private readonly cp;
    private readonly receiverPrepare;
    private readonly defaultApiLevel;
    private readonly debug;
    private emitter;
    readonly processingCount: number;
    get idle(): Promise<any>;
    constructor(receiverPrepare: ReceiverPrepare, cp: ConfigProvider);
    processPackage(pack: ReceiverPackage, socket: Socket): Promise<void>;
    private _handleRequestErr;
}
