import BackErrorConstruct from '../definitions/backErrorConstruct';
export declare const MainBackErrors: {
    unknownController: BackErrorConstruct;
    unknownReceiver: BackErrorConstruct;
    apiLevelIncompatible: BackErrorConstruct;
    authControllerNotSet: BackErrorConstruct;
    accessDenied: BackErrorConstruct;
    serviceNotFound: BackErrorConstruct;
    authenticationRequired: BackErrorConstruct;
    undefinedUserId: BackErrorConstruct;
    undefinedAuthUserGroup: BackErrorConstruct;
    unknownAuthUserGroup: BackErrorConstruct;
    instanceNotFound: BackErrorConstruct;
    preconfiguredProperty: BackErrorConstruct;
    tokenSavedAuthUserGroupNotFound: BackErrorConstruct;
    tokenWithoutAuthUserGroup: BackErrorConstruct;
    tokenWithAuthUserGroupAndOnlyPanel: BackErrorConstruct;
    invalidPanelAuthData: BackErrorConstruct;
    panelDeactivated: BackErrorConstruct;
    invalidRequest: BackErrorConstruct;
    invalidPackage: BackErrorConstruct;
    invalidValidationCheckStructure: BackErrorConstruct;
    pathNotResolvable: BackErrorConstruct;
    validationCheckLimitReached: BackErrorConstruct;
    backpressureLimitReached: BackErrorConstruct;
    unknownError: BackErrorConstruct;
};
