export default class Base64Utils {
    static getByteSize(base64: string): number;
    static getContentType(base64: string): null | string;
    static getContentInfo(base64: string): null | {
        mimeSubType: string;
        mimeType: string;
    };
    static getMimeType(base64: string): null | string;
    static getMimeSubType(base64: string): null | string;
}
