import AsyncChain from './asyncChain';
/**
 * @description
 * Helps to manage multiple AsyncChains for unique keys.
 */
export declare class KeyAsyncChains<K = any> {
    private map;
    /**
     * @description
     * Returns an AsyncChain for the provided key.
     * @param key
     */
    getAsyncChain(key: K): AsyncChain;
    private createKeyAsyncChain;
}
