export default class LaunchDebugStopwatch {
    private readonly stopwatch;
    constructor(launchDebug: boolean);
    /**
     * Starts the stopwatch in case of launch debug is active.
     */
    start(): void;
    /**
     * Stops the stopwatch and logs the result in case of launch debug is active.
     * @param msg
     */
    stop(msg: string): void;
}
