import { LaunchMode } from '../core/launchMode';
/**
 * A simple class for getting the state of the server.
 */
export declare class ServerState {
    readonly mode: LaunchMode;
    constructor(mode: LaunchMode);
    /**
     * @description
     * Returns if the server runs in test mode.
     */
    get test(): boolean;
    /**
     * @description
     * Returns if the server runs in development mode.
     */
    get development(): boolean;
    /**
     * @description
     * Returns if the server runs in production mode.
     */
    get production(): boolean;
}
