import { Model as AnyModel } from '../../../main/models/model';
/**
 * A decorator that will attach a model to a property.
 * All properties that have a model attached will be
 * considered as properties for the object model.
 * @param model
 */
export declare const Model: (model: AnyModel) => (target: any, propertyName: string) => void;
