import ConfigProvider from '../config/management/configProvider';
export default class BackgroundTasksEngine {
    private readonly configProvider;
    private readonly debug;
    runClusterSafeTasks: boolean;
    private readonly _errorEvent;
    private readonly tasks;
    private readonly schedule;
    constructor(configProvider: ConfigProvider, debug: boolean);
    private prepareBackgroundTasks;
    scheduleTasks(): void;
    private planTask;
    private planEveryBackgroundTask;
    private planAtBackgroundTask;
    private runBackgroundTask;
}
