import { ProcedureControl } from '../definitions/internal';
export declare type FetchManagerBuilder<F extends (input: any, ...any: any[]) => any> = () => ((procedure: ProcedureControl, caller: () => any | Promise<any>, isReloadTarget: boolean) => Promise<void>);
export default class DataboxFetchManager {
    private constructor();
    /**
     * This method returns a closure to build a fetch manager.
     */
    static buildFetchMangerBuilder<F extends (...any: any[]) => any>(parallelFetch: boolean, maxBackpressure: number, complexTypes: boolean): FetchManagerBuilder<F>;
}
