import { ProcedureEnd, ProcedureReject } from 'ziron-worker';
export interface ProcedureControl {
    end: ProcedureEnd;
    reject: ProcedureReject;
}
export interface AuthToken<P = any> extends PreparedAuthToken<P> {
    tid: string;
    userId?: string | number;
    exp: number;
    authUserGroup: string;
}
export interface PreparedAuthToken<P = any> {
    userId?: string | number | undefined;
    /**
     * Token id
     */
    tid: string;
    version: number;
    authUserGroup?: string;
    panelAccess?: boolean;
    onlyPanelToken?: boolean;
    exp?: number;
    payload?: P;
}
export declare const DEFAULT_USER_GROUP_FALLBACK = "default";
export declare const INTERNAL_PANEL_CH = "P>";
export declare enum ConfigNames {
    App = "App      :",
    Server = "Server   :",
    Services = "Services :"
}
