import { AnyDataboxClass } from '../../api/databox/AnyDataboxClass';
import { AnyChannelClass } from '../../api/channel/AnyChannelClass';
import { AnyClass } from '../utils/typeUtils';
export declare type Injectable<T> = T | (() => T | Promise<T>);
export default class InjectionsManager {
    private static instance;
    static get(): InjectionsManager;
    private injections;
    addInjection(target: any, propKey: string, inject: Injectable<AnyDataboxClass>[] | Injectable<AnyChannelClass>[] | Injectable<AnyClass>[] | (() => any | Promise<any>)[]): void;
    processInjections(): Promise<void>;
}
