import { DefinitionModel } from '../models/definitionModel';
export default class InputUtils {
    /**
     * Returns the input model at the path.
     * @param path
     * @param input
     */
    static getModelAtPath(path: string[], input: DefinitionModel): object | undefined;
    /**
     * Processes information about the controller path and
     * returns the keyPath (string array) and path (string).
     * @param path
     */
    static processPathInfo(path: string | string[]): {
        path: string;
        keyPath: string[];
    };
}
