import { FileLogOptions } from '../config/definitions/main/serverConfig';
import { DeepRequired } from 'ts-essentials';
import { HttpResponse } from "ziron-worker";
/**
 * Create closure for handling log file downloads.
 * @param logFileOptions
 * @param rootPath
 * @param waitMs
 */
export default function createLogFileDownloaderHandler(logFileOptions: DeepRequired<FileLogOptions>, rootPath: string, waitMs?: number): (res: HttpResponse, reqSecretKey?: string) => void;
