export declare namespace ValidatorUtils {
    const isObject: (data: any) => any;
    const isArray: (data: any) => boolean;
    const isString: (data: any) => boolean;
    const isChar: (data: any) => boolean;
    const isNull: (data: any) => boolean;
    const isInteger: (data: any) => boolean;
    const isStringInteger: (data: any) => boolean;
    const isFloat: (data: any) => boolean;
    const isStringFloat: (data: any) => boolean;
    const isNumber: (data: any) => boolean;
    const isStringNumber: (data: any) => boolean;
    const isDate: (data: any) => boolean;
    const isEmail: (data: any) => any;
    const isBoolean: (data: any) => boolean;
    const isStringBoolean: (data: any) => boolean;
    const isNumberBoolean: (data: any) => boolean;
    const isSha512: (data: any) => boolean;
    const isSha384: (data: any) => boolean;
    const isSha256: (data: any) => boolean;
    const isSha1: (data: any) => boolean;
    const isMd5: (data: any) => boolean;
    const isHexColor: (data: any) => any;
    const isHexadecimal: (data: any) => any;
    const isIP4: (data: any) => any;
    const isIP6: (data: any) => any;
    const isISBN10: (data: any) => any;
    const isISBN13: (data: any) => any;
    const isJSON: (data: any) => any;
    const isURL: (data: any) => any;
    const isMimeType: (data: any) => any;
    const isMACAddress: (data: any) => any;
    const isMobileNumber: (data: any) => boolean;
    const isUUID3: (data: any) => any;
    const isUUID4: (data: any) => any;
    const isUUID5: (data: any) => any;
    const isBase64: (data: any) => boolean;
    const isAscii: (data: any) => any;
    const isUserId: (data: any) => boolean;
    const isMongoId: (data: any) => any;
    const isLatLong: (data: any) => boolean;
    const isBinary: (data: any) => boolean;
    const isReadStream: (data: any) => boolean;
    function createInChecker(values: any[]): (value: any) => boolean;
    function createContainsChecker(contains: any | any[]): (value: string) => boolean;
}
