import BackError, { DryBackError } from '../../api/BackError';
import BackErrorBag from "../../api/BackErrorBag";
export default class ErrorUtils {
    /**
     * A util method that converts a BackError, BackErrorBag, or any error to dry BackErrors.
     * So that they can be transferred to the client.
     * @param error
     * @param withErrorDescription
     */
    static dehydrate(error: BackError | BackErrorBag | any, withErrorDescription?: boolean): DryBackError[];
}
