import Socket from '../../api/Socket';
import AsyncChain from './asyncChain';
/**
 * @description
 * Helps to manage multiple AsyncChains for each Socket.
 */
export declare class SocketAsyncChains {
    private socketMap;
    /**
     * @description
     * Returns an AsyncChain for the provided socket.
     * @param socket
     */
    getAsyncChain(socket: Socket): AsyncChain;
    private createSocketAsyncChain;
}
