import { Time } from '../config/definitions/parts/backgroundTask';
import * as moment from 'moment';
export declare function getMoment(timeZone: string): moment.Moment;
/**
 * Creates and async interval iterator.
 * @param milliseconds
 */
export declare function createIntervalAsyncIterator(milliseconds: number): {
    [Symbol.asyncIterator]: () => {
        next: () => Promise<{
            done: boolean;
            value: () => void;
        }>;
    };
};
export declare function createAsyncTimeout(milliseconds: number): Promise<void>;
export declare function processTaskTriggerTime({ hour, minute, second, millisecond }: Time, startMoment: moment.Moment): {
    tillMs: number;
    tillFormat: string;
};
